Bug 111079 - kudzu doesn't remake initrd on controller configuration
Summary: kudzu doesn't remake initrd on controller configuration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-27 09:14 UTC by riki
Modified: 2014-03-17 02:40 UTC (History)
1 user (show)

Fixed In Version: mkinitrd-4.2.22-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 20:52:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description riki 2003-11-27 09:14:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Although I have the line:
alias scsi_hostadapter initio
in the file /etc/modules.conf, 
this module is not loaded on startup (i have an external scsi Iomega 
Zip attached to it).
I need to manually do 'modprobe initio' in order to use the Zip.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Turn the PC on
2.try to mount /mnt/zip
3.
    

Actual Results:  Error messages about device /dev/sda4

Expected Results:  I should be able to mount the zip without manually 
invoking 'modprobe initio'

Additional info:

Sorry for my poor english

Comment 1 Bill Nottingham 2003-11-29 02:16:24 UTC
Is it in your initrd? What happens if you remake the initrd?

Comment 2 riki 2003-12-01 22:07:18 UTC
I don't know if initio is in my initrd (i don't know how to know it,
the controller was there during the installation), i remade initrd and
now initio module gets loaded correctly.

mkinitrd -v test 2.4.22-1.2115.nptl
...
Loading module initio
...

cp test /boot, vi /boot/grub/grub.conf, reboot, ok!!
thanks a lot!

Comment 3 Bill Nottingham 2003-12-01 22:33:17 UTC
Did you remake the intird at all after installing the adapter/editing
modules.conf until now?

Comment 4 riki 2003-12-01 22:49:20 UTC
i did it fot the first time when you asked me to. The adapter was
already installed when i installed fc1 and i didn't edit modules.conf

Comment 5 Bill Nottingham 2003-12-01 22:58:41 UTC
.

Comment 6 Bill Nottingham 2005-09-23 20:52:14 UTC
The latest mkinitrd packages automatically pull storage adapters for attached
devices into the initrd, which should eliminate the need for this.


Note You need to log in before you can comment on or make changes to this bug.